Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JFrameOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.WindowOperator
                              |
                              +--org.netbeans.jemmy.operators.FrameOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JFrameOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JFrameOperator
extends FrameOperator

Timeouts used:
FrameWaiter.WaitFrameTimeout - time to wait frame displayed
FrameWaiter.AfterFrameTimeout - time to sleep after frame has been dispayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JFrameOperator.JFrameFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.FrameOperator
`FrameOperator.FrameByTitleFinder, FrameOperator.FrameFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.FrameOperator
`IS_RESIZABLE_DPROP, STATE_DPROP, STATE_ICONIFIED_DPROP_VALUE, STATE_NORMAL_DPROP_VALUE, TITLE_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JFrameOperator()` Constructor.
`JFrameOperator(ComponentChooser chooser)` Constructs a JFrameOperator object.
`JFrameOperator(ComponentChooser chooser, int index)` Constructs a JFrameOperator object.
`JFrameOperator(ComponentChooser chooser, int index, Operator env)` Constructs a JFrameOperator object.
`JFrameOperator(int index)` Constructor.
`JFrameOperator(javax.swing.JFrame w)` Constructor.
`JFrameOperator(java.lang.String title)` Constructor.
`JFrameOperator(java.lang.String title, int index)` Constructor.
`JFrameOperator(java.lang.String title, int index, Operator env)` Constructor.

Method Summary
`static javax.swing.JFrame` | `findJFrame(ComponentChooser chooser)` Searches a frame.
`static javax.swing.JFrame` | `findJFrame(ComponentChooser chooser, int index)` Searches an index'th frame.
`static javax.swing.JFrame` | `findJFrame(java.lang.String title, boolean ce, boolean cc)` Searches a frame by title.
`static javax.swing.JFrame` | `findJFrame(java.lang.String title, boolean ce, boolean cc, int index)` Searches an index'th frame by title.
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Maps `JFrame.getAccessibleContext()` through queue
`java.awt.Container` | `getContentPane()` Maps `JFrame.getContentPane()` through queue
`int` | `getDefaultCloseOperation()` Maps `JFrame.getDefaultCloseOperation()` through queue
`java.awt.Component` | `getGlassPane()` Maps `JFrame.getGlassPane()` through queue
`javax.swing.JMenuBar` | `getJMenuBar()` Maps `JFrame.getJMenuBar()` through queue
`javax.swing.JLayeredPane` | `getLayeredPane()` Maps `JFrame.getLayeredPane()` through queue
`javax.swing.JRootPane` | `getRootPane()` Maps `JFrame.getRootPane()` through queue
`void` | `setContentPane(java.awt.Container container)` Maps `JFrame.setContentPane(Container)` through queue
`void` | `setDefaultCloseOperation(int i)` Maps `JFrame.setDefaultCloseOperation(int)` through queue
`void` | `setGlassPane(java.awt.Component component)` Maps `JFrame.setGlassPane(Component)` through queue
`void` | `setJMenuBar(javax.swing.JMenuBar jMenuBar)` Maps `JFrame.setJMenuBar(JMenuBar)` through queue
`void` | `setLayeredPane(javax.swing.JLayeredPane jLayeredPane)` Maps `JFrame.setLayeredPane(JLayeredPane)` through queue
`static javax.swing.JFrame` | `waitJFrame(ComponentChooser chooser)` Waits a frame.
`static javax.swing.JFrame` | `waitJFrame(ComponentChooser chooser, int index)` Waits an index'th frame.
`static javax.swing.JFrame` | `waitJFrame(java.lang.String title, boolean ce, boolean cc)` Waits a frame by title.
`static javax.swing.JFrame` | `waitJFrame(java.lang.String title, boolean ce, boolean cc, int index)` Waits an index'th frame by title.

Methods inherited from class org.netbeans.jemmy.operators.FrameOperator
`copyEnvironment, deiconify, demaximize, getDump, getIconImage, getMenuBar, getOutput, getState, getTitle, iconify, isResizable, maximize, setIconImage, setMenuBar, setOutput, setResizable, setState, setTitle, waitFrame, waitState, waitTitle`

Methods inherited from class org.netbeans.jemmy.operators.WindowOperator
`activate, addWindowListener, applyResourceBundle, applyResourceBundle, close, dispose, findSubWindow, findSubWindow, findWindow, findWindow, findWindow, findWindow, getFocusOwner, getOwnedWindows, getOwner, getWarningString, isActive, isFocused, move, pack, removeWindowListener, resize, toBack, toFront, waitClosed, waitSubWindow, waitSubWindow, waitWindow, waitWindow, waitWindow, waitWindow, waitWindow, waitWindow, waitWindow`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, getTimeouts, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, setTimeouts, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterXForClick, getCenterY, getCenterYForClick, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFrameOperator

    public JFrameOperator(javax.swing.JFrame w)

  Constructor.
  Parameters:
    `w` - window

### JFrameOperator

    public JFrameOperator(ComponentChooser chooser,
                          int index,
                          Operator env)

  Constructs a JFrameOperator object.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
    `env` - an operator to copy environment from.

### JFrameOperator

    public JFrameOperator(ComponentChooser chooser,
                          int index)

  Constructs a JFrameOperator object.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JFrameOperator

    public JFrameOperator(ComponentChooser chooser)

  Constructs a JFrameOperator object.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.

### JFrameOperator

    public JFrameOperator(java.lang.String title,
                          int index,
                          Operator env)

  Constructor. Waits for the frame with "title" subtitle. Constructor can be used in complicated cases when output or timeouts should differ from default.
  Parameters:
    `title` - a window title
    `index` - Ordinal component index.
    `env` - an operator to copy environment from.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JFrameOperator

    public JFrameOperator(java.lang.String title,
                          int index)

  Constructor. Waits for the frame with "title" subtitle. Uses current timeouts and output values.
  Parameters:
    `title` - a window title
    `index` - Ordinal component index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`, `JemmyProperties.getCurrentTimeouts()`, `JemmyProperties.getCurrentOutput()`

### JFrameOperator

    public JFrameOperator(java.lang.String title)

  Constructor. Waits for the frame with "title" subtitle. Uses current timeouts and output values.
  Parameters:
    `title` - a window title
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`, `JemmyProperties.getCurrentTimeouts()`, `JemmyProperties.getCurrentOutput()`

### JFrameOperator

    public JFrameOperator(int index)

  Constructor. Waits for the index'th frame. Uses current timeout and output for waiting and to init operator.
  Parameters:
    `index` - Ordinal component index.

### JFrameOperator

    public JFrameOperator()

  Constructor. Waits for the first frame. Uses current timeout and output for waiting and to init operator.

Method Detail

### findJFrame

    public static javax.swing.JFrame findJFrame(ComponentChooser chooser,
                                                int index)

  Searches an index'th frame.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    JFrame instance or null if component was not found.

### findJFrame

    public static javax.swing.JFrame findJFrame(ComponentChooser chooser)

  Searches a frame.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JFrame instance or null if component was not found.

### findJFrame

    public static javax.swing.JFrame findJFrame(java.lang.String title,
                                                boolean ce,
                                                boolean cc,
                                                int index)

  Searches an index'th frame by title.
  Parameters:
    `title` - Frame title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `index` - an index between appropriate ones.
  Returns:
    JFrame instance or null if component was not found.

### findJFrame

    public static javax.swing.JFrame findJFrame(java.lang.String title,
                                                boolean ce,
                                                boolean cc)

  Searches a frame by title.
  Parameters:
    `title` - Frame title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    JFrame instance or null if component was not found.

### waitJFrame

    public static javax.swing.JFrame waitJFrame(ComponentChooser chooser,
                                                int index)

  Waits an index'th frame.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.
  Returns:
    JFrame instance or null if component was not found.

### waitJFrame

    public static javax.swing.JFrame waitJFrame(ComponentChooser chooser)

  Waits a frame.
  Parameters:
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JFrame instance or null if component was not found.

### waitJFrame

    public static javax.swing.JFrame waitJFrame(java.lang.String title,
                                                boolean ce,
                                                boolean cc,
                                                int index)

  Waits an index'th frame by title.
  Parameters:
    `title` - Frame title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
    `index` - an index between appropriate ones.
  Returns:
    JFrame instance or null if component was not found.

### waitJFrame

    public static javax.swing.JFrame waitJFrame(java.lang.String title,
                                                boolean ce,
                                                boolean cc)

  Waits a frame by title.
  Parameters:
    `title` - Frame title
    `ce` - Compare exactly. If true, text can be a substring of caption.
    `cc` - Compare case sensitively. If true, both text and caption are
  Returns:
    JFrame instance or null if component was not found.

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Maps `JFrame.getAccessibleContext()` through queue

### getContentPane

    public java.awt.Container getContentPane()

  Maps `JFrame.getContentPane()` through queue

### getDefaultCloseOperation

    public int getDefaultCloseOperation()

  Maps `JFrame.getDefaultCloseOperation()` through queue

### getGlassPane

    public java.awt.Component getGlassPane()

  Maps `JFrame.getGlassPane()` through queue

### getJMenuBar

    public javax.swing.JMenuBar getJMenuBar()

  Maps `JFrame.getJMenuBar()` through queue

### getLayeredPane

    public javax.swing.JLayeredPane getLayeredPane()

  Maps `JFrame.getLayeredPane()` through queue

### getRootPane

    public javax.swing.JRootPane getRootPane()

  Maps `JFrame.getRootPane()` through queue

### setContentPane

    public void setContentPane(java.awt.Container container)

  Maps `JFrame.setContentPane(Container)` through queue

### setDefaultCloseOperation

    public void setDefaultCloseOperation(int i)

  Maps `JFrame.setDefaultCloseOperation(int)` through queue

### setGlassPane

    public void setGlassPane(java.awt.Component component)

  Maps `JFrame.setGlassPane(Component)` through queue

### setJMenuBar

    public void setJMenuBar(javax.swing.JMenuBar jMenuBar)

  Maps `JFrame.setJMenuBar(JMenuBar)` through queue

### setLayeredPane

    public void setLayeredPane(javax.swing.JLayeredPane jLayeredPane)

  Maps `JFrame.setLayeredPane(JLayeredPane)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD